Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## grails.rest.render
[Groovy] Interface Renderer

    grails.rest.render.Renderer
      org.codehaus.groovy.grails.web.mime.MimeTypeProvider

All Superinterfaces:
  MimeTypeProvider

    interface Renderer
    extends MimeTypeProvider

Interface for class that render RESTful responses to implement

Authors:
  Graeme Rocher

Since:
  2.3

Method Summary
`java.lang.Class` | `getTargetType()` @return The target type
`void` | `render(java.lang.Object object, RenderContext context)` Renders the object

Methods inherited from interface MimeTypeProvider
getMimeTypes

Method Detail

### getTargetType

    java.lang.Class getTargetType()

  Returns:
    The target type

### render

    void render(java.lang.Object object, RenderContext context)

  Renders the object
  Parameters:
    `object` - The object to render
    `context` - The RenderContext
  Returns:
    Optional return value, those to that directly write typically return null

Groovy Documentation